from api.v1.common.base_models import TenantScopedMixin, TimestampMixin
from core.database import Base
from sqlalchemy import Column, ForeignKeyConstraint, String


class TrailerType(Base, TimestampMixin):
    __tablename__ = "trailer_type"
    __table_args__ = (
        {"schema": "public"},
    )

    trailer_type_key = Column(String(2), primary_key=True, nullable=False)
    description = Column(String(100), nullable=True)
